---
title: Document.scrollingElement
slug: Web/API/Document/scrollingElement
tags:
  - API
  - Document
  - Property
  - Reference
  - scrollingElement
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>scrollingElement</code></strong> read-only property of the {{domxref("Document")}} interface returns a reference to the {{domxref("Element")}} that scrolls the document. In standards mode, this is the root element of the document, {{domxref("document.documentElement")}}.</p>

<p>When in quirks mode, the <code>scrollingElement</code> attribute returns the HTML <code>body</code> element if it exists and is <a href="https://drafts.csswg.org/cssom-view/#potentially-scrollable">potentially scrollable</a>, otherwise it returns null.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>element</var> = document.scrollingElement;</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var scrollElm = document.scrollingElement;
scrollElm.scrollTop = 0;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSSOM View','#dom-document-scrollingelement','scrollingElement')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.scrollingElement")}}</p>
